Index: XIOS/trunk/src/interface/fortran_attr/idomaingroup_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/idomaingroup_attr.F90	(revision 656)
+++ XIOS/trunk/src/interface/fortran_attr/idomaingroup_attr.F90	(revision 657)
@@ -14,7 +14,6 @@
     ( domaingroup_id, area, bounds_lat, bounds_lon, data_dim, data_i_index, data_ibegin, data_j_index  &
     , data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref, group_ref, i_index  &
-    , ibegin, iend, j_index, jbegin, jend, latvalue, long_name, lonvalue, mask, name, ni, ni_glo  &
-    , nj, nj_glo, nvertex, standard_name, type, zoom_ibegin, zoom_ibegin_loc, zoom_jbegin, zoom_jbegin_loc  &
-    , zoom_ni, zoom_ni_loc, zoom_nj, zoom_nj_loc )
+    , ibegin, j_index, jbegin, latvalue, long_name, lonvalue, mask, name, ni, ni_glo, nj, nj_glo  &
+    , nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -35,10 +34,8 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
-      INTEGER  , OPTIONAL, INTENT(IN) :: i_index(:,:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: i_index(:)
       INTEGER  , OPTIONAL, INTENT(IN) :: ibegin
-      INTEGER  , OPTIONAL, INTENT(IN) :: iend
-      INTEGER  , OPTIONAL, INTENT(IN) :: j_index(:,:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: j_index(:)
       INTEGER  , OPTIONAL, INTENT(IN) :: jbegin
-      INTEGER  , OPTIONAL, INTENT(IN) :: jend
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: latvalue(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name
@@ -54,12 +51,4 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_ibegin
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_ibegin_loc
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_jbegin
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_jbegin_loc
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_ni
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_ni_loc
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_nj
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_nj_loc
 
       CALL xios(get_domaingroup_handle)(domaingroup_id,domaingroup_hdl)
@@ -67,7 +56,6 @@
       ( domaingroup_hdl, area, bounds_lat, bounds_lon, data_dim, data_i_index, data_ibegin, data_j_index  &
       , data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref, group_ref, i_index  &
-      , ibegin, iend, j_index, jbegin, jend, latvalue, long_name, lonvalue, mask, name, ni, ni_glo  &
-      , nj, nj_glo, nvertex, standard_name, type, zoom_ibegin, zoom_ibegin_loc, zoom_jbegin, zoom_jbegin_loc  &
-      , zoom_ni, zoom_ni_loc, zoom_nj, zoom_nj_loc )
+      , ibegin, j_index, jbegin, latvalue, long_name, lonvalue, mask, name, ni, ni_glo, nj, nj_glo  &
+      , nvertex, standard_name, type )
 
   END SUBROUTINE xios(set_domaingroup_attr)
@@ -76,7 +64,6 @@
     ( domaingroup_hdl, area, bounds_lat, bounds_lon, data_dim, data_i_index, data_ibegin, data_j_index  &
     , data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref, group_ref, i_index  &
-    , ibegin, iend, j_index, jbegin, jend, latvalue, long_name, lonvalue, mask, name, ni, ni_glo  &
-    , nj, nj_glo, nvertex, standard_name, type, zoom_ibegin, zoom_ibegin_loc, zoom_jbegin, zoom_jbegin_loc  &
-    , zoom_ni, zoom_ni_loc, zoom_nj, zoom_nj_loc )
+    , ibegin, j_index, jbegin, latvalue, long_name, lonvalue, mask, name, ni, ni_glo, nj, nj_glo  &
+    , nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -96,10 +83,8 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
-      INTEGER  , OPTIONAL, INTENT(IN) :: i_index(:,:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: i_index(:)
       INTEGER  , OPTIONAL, INTENT(IN) :: ibegin
-      INTEGER  , OPTIONAL, INTENT(IN) :: iend
-      INTEGER  , OPTIONAL, INTENT(IN) :: j_index(:,:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: j_index(:)
       INTEGER  , OPTIONAL, INTENT(IN) :: jbegin
-      INTEGER  , OPTIONAL, INTENT(IN) :: jend
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: latvalue(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name
@@ -115,19 +100,10 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_ibegin
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_ibegin_loc
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_jbegin
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_jbegin_loc
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_ni
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_ni_loc
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_nj
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_nj_loc
 
       CALL xios(set_domaingroup_attr_hdl_)  &
       ( domaingroup_hdl, area, bounds_lat, bounds_lon, data_dim, data_i_index, data_ibegin, data_j_index  &
       , data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref, group_ref, i_index  &
-      , ibegin, iend, j_index, jbegin, jend, latvalue, long_name, lonvalue, mask, name, ni, ni_glo  &
-      , nj, nj_glo, nvertex, standard_name, type, zoom_ibegin, zoom_ibegin_loc, zoom_jbegin, zoom_jbegin_loc  &
-      , zoom_ni, zoom_ni_loc, zoom_nj, zoom_nj_loc )
+      , ibegin, j_index, jbegin, latvalue, long_name, lonvalue, mask, name, ni, ni_glo, nj, nj_glo  &
+      , nvertex, standard_name, type )
 
   END SUBROUTINE xios(set_domaingroup_attr_hdl)
@@ -136,7 +112,6 @@
     ( domaingroup_hdl, area_, bounds_lat_, bounds_lon_, data_dim_, data_i_index_, data_ibegin_, data_j_index_  &
     , data_jbegin_, data_n_index_, data_ni_, data_nj_, domain_group_ref_, domain_ref_, group_ref_  &
-    , i_index_, ibegin_, iend_, j_index_, jbegin_, jend_, latvalue_, long_name_, lonvalue_, mask_  &
-    , name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, standard_name_, type_, zoom_ibegin_, zoom_ibegin_loc_  &
-    , zoom_jbegin_, zoom_jbegin_loc_, zoom_ni_, zoom_ni_loc_, zoom_nj_, zoom_nj_loc_ )
+    , i_index_, ibegin_, j_index_, jbegin_, latvalue_, long_name_, lonvalue_, mask_, name_, ni_  &
+    , ni_glo_, nj_, nj_glo_, nvertex_, standard_name_, type_ )
 
     IMPLICIT NONE
@@ -156,10 +131,8 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_ref_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref_
-      INTEGER  , OPTIONAL, INTENT(IN) :: i_index_(:,:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: i_index_(:)
       INTEGER  , OPTIONAL, INTENT(IN) :: ibegin_
-      INTEGER  , OPTIONAL, INTENT(IN) :: iend_
-      INTEGER  , OPTIONAL, INTENT(IN) :: j_index_(:,:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: j_index_(:)
       INTEGER  , OPTIONAL, INTENT(IN) :: jbegin_
-      INTEGER  , OPTIONAL, INTENT(IN) :: jend_
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: latvalue_(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: long_name_
@@ -175,12 +148,4 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: standard_name_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_ibegin_
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_ibegin_loc_
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_jbegin_
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_jbegin_loc_
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_ni_
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_ni_loc_
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_nj_
-      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_nj_loc_
 
       IF (PRESENT(area_)) THEN
@@ -241,5 +206,5 @@
 
       IF (PRESENT(i_index_)) THEN
-        CALL cxios_set_domaingroup_i_index(domaingroup_hdl%daddr, i_index_, size(i_index_,1), size(i_index_,2))
+        CALL cxios_set_domaingroup_i_index(domaingroup_hdl%daddr, i_index_, size(i_index_,1))
       ENDIF
 
@@ -248,18 +213,10 @@
       ENDIF
 
-      IF (PRESENT(iend_)) THEN
-        CALL cxios_set_domaingroup_iend(domaingroup_hdl%daddr, iend_)
-      ENDIF
-
       IF (PRESENT(j_index_)) THEN
-        CALL cxios_set_domaingroup_j_index(domaingroup_hdl%daddr, j_index_, size(j_index_,1), size(j_index_,2))
+        CALL cxios_set_domaingroup_j_index(domaingroup_hdl%daddr, j_index_, size(j_index_,1))
       ENDIF
 
       IF (PRESENT(jbegin_)) THEN
         CALL cxios_set_domaingroup_jbegin(domaingroup_hdl%daddr, jbegin_)
-      ENDIF
-
-      IF (PRESENT(jend_)) THEN
-        CALL cxios_set_domaingroup_jend(domaingroup_hdl%daddr, jend_)
       ENDIF
 
@@ -314,36 +271,4 @@
       ENDIF
 
-      IF (PRESENT(zoom_ibegin_)) THEN
-        CALL cxios_set_domaingroup_zoom_ibegin(domaingroup_hdl%daddr, zoom_ibegin_)
-      ENDIF
-
-      IF (PRESENT(zoom_ibegin_loc_)) THEN
-        CALL cxios_set_domaingroup_zoom_ibegin_loc(domaingroup_hdl%daddr, zoom_ibegin_loc_)
-      ENDIF
-
-      IF (PRESENT(zoom_jbegin_)) THEN
-        CALL cxios_set_domaingroup_zoom_jbegin(domaingroup_hdl%daddr, zoom_jbegin_)
-      ENDIF
-
-      IF (PRESENT(zoom_jbegin_loc_)) THEN
-        CALL cxios_set_domaingroup_zoom_jbegin_loc(domaingroup_hdl%daddr, zoom_jbegin_loc_)
-      ENDIF
-
-      IF (PRESENT(zoom_ni_)) THEN
-        CALL cxios_set_domaingroup_zoom_ni(domaingroup_hdl%daddr, zoom_ni_)
-      ENDIF
-
-      IF (PRESENT(zoom_ni_loc_)) THEN
-        CALL cxios_set_domaingroup_zoom_ni_loc(domaingroup_hdl%daddr, zoom_ni_loc_)
-      ENDIF
-
-      IF (PRESENT(zoom_nj_)) THEN
-        CALL cxios_set_domaingroup_zoom_nj(domaingroup_hdl%daddr, zoom_nj_)
-      ENDIF
-
-      IF (PRESENT(zoom_nj_loc_)) THEN
-        CALL cxios_set_domaingroup_zoom_nj_loc(domaingroup_hdl%daddr, zoom_nj_loc_)
-      ENDIF
-
   END SUBROUTINE xios(set_domaingroup_attr_hdl_)
 
@@ -351,7 +276,6 @@
     ( domaingroup_id, area, bounds_lat, bounds_lon, data_dim, data_i_index, data_ibegin, data_j_index  &
     , data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref, group_ref, i_index  &
-    , ibegin, iend, j_index, jbegin, jend, latvalue, long_name, lonvalue, mask, name, ni, ni_glo  &
-    , nj, nj_glo, nvertex, standard_name, type, zoom_ibegin, zoom_ibegin_loc, zoom_jbegin, zoom_jbegin_loc  &
-    , zoom_ni, zoom_ni_loc, zoom_nj, zoom_nj_loc )
+    , ibegin, j_index, jbegin, latvalue, long_name, lonvalue, mask, name, ni, ni_glo, nj, nj_glo  &
+    , nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -372,10 +296,8 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
-      INTEGER  , OPTIONAL, INTENT(OUT) :: i_index(:,:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: i_index(:)
       INTEGER  , OPTIONAL, INTENT(OUT) :: ibegin
-      INTEGER  , OPTIONAL, INTENT(OUT) :: iend
-      INTEGER  , OPTIONAL, INTENT(OUT) :: j_index(:,:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: j_index(:)
       INTEGER  , OPTIONAL, INTENT(OUT) :: jbegin
-      INTEGER  , OPTIONAL, INTENT(OUT) :: jend
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: latvalue(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name
@@ -391,12 +313,4 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_ibegin
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_ibegin_loc
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_jbegin
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_jbegin_loc
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_ni
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_ni_loc
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_nj
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_nj_loc
 
       CALL xios(get_domaingroup_handle)(domaingroup_id,domaingroup_hdl)
@@ -404,7 +318,6 @@
       ( domaingroup_hdl, area, bounds_lat, bounds_lon, data_dim, data_i_index, data_ibegin, data_j_index  &
       , data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref, group_ref, i_index  &
-      , ibegin, iend, j_index, jbegin, jend, latvalue, long_name, lonvalue, mask, name, ni, ni_glo  &
-      , nj, nj_glo, nvertex, standard_name, type, zoom_ibegin, zoom_ibegin_loc, zoom_jbegin, zoom_jbegin_loc  &
-      , zoom_ni, zoom_ni_loc, zoom_nj, zoom_nj_loc )
+      , ibegin, j_index, jbegin, latvalue, long_name, lonvalue, mask, name, ni, ni_glo, nj, nj_glo  &
+      , nvertex, standard_name, type )
 
   END SUBROUTINE xios(get_domaingroup_attr)
@@ -413,7 +326,6 @@
     ( domaingroup_hdl, area, bounds_lat, bounds_lon, data_dim, data_i_index, data_ibegin, data_j_index  &
     , data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref, group_ref, i_index  &
-    , ibegin, iend, j_index, jbegin, jend, latvalue, long_name, lonvalue, mask, name, ni, ni_glo  &
-    , nj, nj_glo, nvertex, standard_name, type, zoom_ibegin, zoom_ibegin_loc, zoom_jbegin, zoom_jbegin_loc  &
-    , zoom_ni, zoom_ni_loc, zoom_nj, zoom_nj_loc )
+    , ibegin, j_index, jbegin, latvalue, long_name, lonvalue, mask, name, ni, ni_glo, nj, nj_glo  &
+    , nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -433,10 +345,8 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
-      INTEGER  , OPTIONAL, INTENT(OUT) :: i_index(:,:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: i_index(:)
       INTEGER  , OPTIONAL, INTENT(OUT) :: ibegin
-      INTEGER  , OPTIONAL, INTENT(OUT) :: iend
-      INTEGER  , OPTIONAL, INTENT(OUT) :: j_index(:,:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: j_index(:)
       INTEGER  , OPTIONAL, INTENT(OUT) :: jbegin
-      INTEGER  , OPTIONAL, INTENT(OUT) :: jend
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: latvalue(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name
@@ -452,19 +362,10 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_ibegin
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_ibegin_loc
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_jbegin
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_jbegin_loc
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_ni
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_ni_loc
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_nj
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_nj_loc
 
       CALL xios(get_domaingroup_attr_hdl_)  &
       ( domaingroup_hdl, area, bounds_lat, bounds_lon, data_dim, data_i_index, data_ibegin, data_j_index  &
       , data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref, group_ref, i_index  &
-      , ibegin, iend, j_index, jbegin, jend, latvalue, long_name, lonvalue, mask, name, ni, ni_glo  &
-      , nj, nj_glo, nvertex, standard_name, type, zoom_ibegin, zoom_ibegin_loc, zoom_jbegin, zoom_jbegin_loc  &
-      , zoom_ni, zoom_ni_loc, zoom_nj, zoom_nj_loc )
+      , ibegin, j_index, jbegin, latvalue, long_name, lonvalue, mask, name, ni, ni_glo, nj, nj_glo  &
+      , nvertex, standard_name, type )
 
   END SUBROUTINE xios(get_domaingroup_attr_hdl)
@@ -473,7 +374,6 @@
     ( domaingroup_hdl, area_, bounds_lat_, bounds_lon_, data_dim_, data_i_index_, data_ibegin_, data_j_index_  &
     , data_jbegin_, data_n_index_, data_ni_, data_nj_, domain_group_ref_, domain_ref_, group_ref_  &
-    , i_index_, ibegin_, iend_, j_index_, jbegin_, jend_, latvalue_, long_name_, lonvalue_, mask_  &
-    , name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, standard_name_, type_, zoom_ibegin_, zoom_ibegin_loc_  &
-    , zoom_jbegin_, zoom_jbegin_loc_, zoom_ni_, zoom_ni_loc_, zoom_nj_, zoom_nj_loc_ )
+    , i_index_, ibegin_, j_index_, jbegin_, latvalue_, long_name_, lonvalue_, mask_, name_, ni_  &
+    , ni_glo_, nj_, nj_glo_, nvertex_, standard_name_, type_ )
 
     IMPLICIT NONE
@@ -493,10 +393,8 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_ref_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref_
-      INTEGER  , OPTIONAL, INTENT(OUT) :: i_index_(:,:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: i_index_(:)
       INTEGER  , OPTIONAL, INTENT(OUT) :: ibegin_
-      INTEGER  , OPTIONAL, INTENT(OUT) :: iend_
-      INTEGER  , OPTIONAL, INTENT(OUT) :: j_index_(:,:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: j_index_(:)
       INTEGER  , OPTIONAL, INTENT(OUT) :: jbegin_
-      INTEGER  , OPTIONAL, INTENT(OUT) :: jend_
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: latvalue_(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: long_name_
@@ -512,12 +410,4 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: standard_name_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_ibegin_
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_ibegin_loc_
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_jbegin_
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_jbegin_loc_
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_ni_
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_ni_loc_
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_nj_
-      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_nj_loc_
 
       IF (PRESENT(area_)) THEN
@@ -578,5 +468,5 @@
 
       IF (PRESENT(i_index_)) THEN
-        CALL cxios_get_domaingroup_i_index(domaingroup_hdl%daddr, i_index_, size(i_index_,1), size(i_index_,2))
+        CALL cxios_get_domaingroup_i_index(domaingroup_hdl%daddr, i_index_, size(i_index_,1))
       ENDIF
 
@@ -585,18 +475,10 @@
       ENDIF
 
-      IF (PRESENT(iend_)) THEN
-        CALL cxios_get_domaingroup_iend(domaingroup_hdl%daddr, iend_)
-      ENDIF
-
       IF (PRESENT(j_index_)) THEN
-        CALL cxios_get_domaingroup_j_index(domaingroup_hdl%daddr, j_index_, size(j_index_,1), size(j_index_,2))
+        CALL cxios_get_domaingroup_j_index(domaingroup_hdl%daddr, j_index_, size(j_index_,1))
       ENDIF
 
       IF (PRESENT(jbegin_)) THEN
         CALL cxios_get_domaingroup_jbegin(domaingroup_hdl%daddr, jbegin_)
-      ENDIF
-
-      IF (PRESENT(jend_)) THEN
-        CALL cxios_get_domaingroup_jend(domaingroup_hdl%daddr, jend_)
       ENDIF
 
@@ -651,36 +533,4 @@
       ENDIF
 
-      IF (PRESENT(zoom_ibegin_)) THEN
-        CALL cxios_get_domaingroup_zoom_ibegin(domaingroup_hdl%daddr, zoom_ibegin_)
-      ENDIF
-
-      IF (PRESENT(zoom_ibegin_loc_)) THEN
-        CALL cxios_get_domaingroup_zoom_ibegin_loc(domaingroup_hdl%daddr, zoom_ibegin_loc_)
-      ENDIF
-
-      IF (PRESENT(zoom_jbegin_)) THEN
-        CALL cxios_get_domaingroup_zoom_jbegin(domaingroup_hdl%daddr, zoom_jbegin_)
-      ENDIF
-
-      IF (PRESENT(zoom_jbegin_loc_)) THEN
-        CALL cxios_get_domaingroup_zoom_jbegin_loc(domaingroup_hdl%daddr, zoom_jbegin_loc_)
-      ENDIF
-
-      IF (PRESENT(zoom_ni_)) THEN
-        CALL cxios_get_domaingroup_zoom_ni(domaingroup_hdl%daddr, zoom_ni_)
-      ENDIF
-
-      IF (PRESENT(zoom_ni_loc_)) THEN
-        CALL cxios_get_domaingroup_zoom_ni_loc(domaingroup_hdl%daddr, zoom_ni_loc_)
-      ENDIF
-
-      IF (PRESENT(zoom_nj_)) THEN
-        CALL cxios_get_domaingroup_zoom_nj(domaingroup_hdl%daddr, zoom_nj_)
-      ENDIF
-
-      IF (PRESENT(zoom_nj_loc_)) THEN
-        CALL cxios_get_domaingroup_zoom_nj_loc(domaingroup_hdl%daddr, zoom_nj_loc_)
-      ENDIF
-
   END SUBROUTINE xios(get_domaingroup_attr_hdl_)
 
@@ -688,7 +538,6 @@
     ( domaingroup_id, area, bounds_lat, bounds_lon, data_dim, data_i_index, data_ibegin, data_j_index  &
     , data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref, group_ref, i_index  &
-    , ibegin, iend, j_index, jbegin, jend, latvalue, long_name, lonvalue, mask, name, ni, ni_glo  &
-    , nj, nj_glo, nvertex, standard_name, type, zoom_ibegin, zoom_ibegin_loc, zoom_jbegin, zoom_jbegin_loc  &
-    , zoom_ni, zoom_ni_loc, zoom_nj, zoom_nj_loc )
+    , ibegin, j_index, jbegin, latvalue, long_name, lonvalue, mask, name, ni, ni_glo, nj, nj_glo  &
+    , nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -727,12 +576,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: ibegin
       LOGICAL(KIND=C_BOOL) :: ibegin_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: iend
-      LOGICAL(KIND=C_BOOL) :: iend_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: j_index
       LOGICAL(KIND=C_BOOL) :: j_index_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: jbegin
       LOGICAL(KIND=C_BOOL) :: jbegin_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: jend
-      LOGICAL(KIND=C_BOOL) :: jend_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: latvalue
       LOGICAL(KIND=C_BOOL) :: latvalue_tmp
@@ -759,20 +604,4 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_ibegin
-      LOGICAL(KIND=C_BOOL) :: zoom_ibegin_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_ibegin_loc
-      LOGICAL(KIND=C_BOOL) :: zoom_ibegin_loc_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_jbegin
-      LOGICAL(KIND=C_BOOL) :: zoom_jbegin_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_jbegin_loc
-      LOGICAL(KIND=C_BOOL) :: zoom_jbegin_loc_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_ni
-      LOGICAL(KIND=C_BOOL) :: zoom_ni_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_ni_loc
-      LOGICAL(KIND=C_BOOL) :: zoom_ni_loc_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_nj
-      LOGICAL(KIND=C_BOOL) :: zoom_nj_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_nj_loc
-      LOGICAL(KIND=C_BOOL) :: zoom_nj_loc_tmp
 
       CALL xios(get_domaingroup_handle)(domaingroup_id,domaingroup_hdl)
@@ -780,7 +609,6 @@
       ( domaingroup_hdl, area, bounds_lat, bounds_lon, data_dim, data_i_index, data_ibegin, data_j_index  &
       , data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref, group_ref, i_index  &
-      , ibegin, iend, j_index, jbegin, jend, latvalue, long_name, lonvalue, mask, name, ni, ni_glo  &
-      , nj, nj_glo, nvertex, standard_name, type, zoom_ibegin, zoom_ibegin_loc, zoom_jbegin, zoom_jbegin_loc  &
-      , zoom_ni, zoom_ni_loc, zoom_nj, zoom_nj_loc )
+      , ibegin, j_index, jbegin, latvalue, long_name, lonvalue, mask, name, ni, ni_glo, nj, nj_glo  &
+      , nvertex, standard_name, type )
 
   END SUBROUTINE xios(is_defined_domaingroup_attr)
@@ -789,7 +617,6 @@
     ( domaingroup_hdl, area, bounds_lat, bounds_lon, data_dim, data_i_index, data_ibegin, data_j_index  &
     , data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref, group_ref, i_index  &
-    , ibegin, iend, j_index, jbegin, jend, latvalue, long_name, lonvalue, mask, name, ni, ni_glo  &
-    , nj, nj_glo, nvertex, standard_name, type, zoom_ibegin, zoom_ibegin_loc, zoom_jbegin, zoom_jbegin_loc  &
-    , zoom_ni, zoom_ni_loc, zoom_nj, zoom_nj_loc )
+    , ibegin, j_index, jbegin, latvalue, long_name, lonvalue, mask, name, ni, ni_glo, nj, nj_glo  &
+    , nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -827,12 +654,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: ibegin
       LOGICAL(KIND=C_BOOL) :: ibegin_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: iend
-      LOGICAL(KIND=C_BOOL) :: iend_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: j_index
       LOGICAL(KIND=C_BOOL) :: j_index_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: jbegin
       LOGICAL(KIND=C_BOOL) :: jbegin_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: jend
-      LOGICAL(KIND=C_BOOL) :: jend_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: latvalue
       LOGICAL(KIND=C_BOOL) :: latvalue_tmp
@@ -859,27 +682,10 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: type
       LOGICAL(KIND=C_BOOL) :: type_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_ibegin
-      LOGICAL(KIND=C_BOOL) :: zoom_ibegin_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_ibegin_loc
-      LOGICAL(KIND=C_BOOL) :: zoom_ibegin_loc_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_jbegin
-      LOGICAL(KIND=C_BOOL) :: zoom_jbegin_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_jbegin_loc
-      LOGICAL(KIND=C_BOOL) :: zoom_jbegin_loc_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_ni
-      LOGICAL(KIND=C_BOOL) :: zoom_ni_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_ni_loc
-      LOGICAL(KIND=C_BOOL) :: zoom_ni_loc_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_nj
-      LOGICAL(KIND=C_BOOL) :: zoom_nj_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_nj_loc
-      LOGICAL(KIND=C_BOOL) :: zoom_nj_loc_tmp
 
       CALL xios(is_defined_domaingroup_attr_hdl_)  &
       ( domaingroup_hdl, area, bounds_lat, bounds_lon, data_dim, data_i_index, data_ibegin, data_j_index  &
       , data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref, group_ref, i_index  &
-      , ibegin, iend, j_index, jbegin, jend, latvalue, long_name, lonvalue, mask, name, ni, ni_glo  &
-      , nj, nj_glo, nvertex, standard_name, type, zoom_ibegin, zoom_ibegin_loc, zoom_jbegin, zoom_jbegin_loc  &
-      , zoom_ni, zoom_ni_loc, zoom_nj, zoom_nj_loc )
+      , ibegin, j_index, jbegin, latvalue, long_name, lonvalue, mask, name, ni, ni_glo, nj, nj_glo  &
+      , nvertex, standard_name, type )
 
   END SUBROUTINE xios(is_defined_domaingroup_attr_hdl)
@@ -888,7 +694,6 @@
     ( domaingroup_hdl, area_, bounds_lat_, bounds_lon_, data_dim_, data_i_index_, data_ibegin_, data_j_index_  &
     , data_jbegin_, data_n_index_, data_ni_, data_nj_, domain_group_ref_, domain_ref_, group_ref_  &
-    , i_index_, ibegin_, iend_, j_index_, jbegin_, jend_, latvalue_, long_name_, lonvalue_, mask_  &
-    , name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_, standard_name_, type_, zoom_ibegin_, zoom_ibegin_loc_  &
-    , zoom_jbegin_, zoom_jbegin_loc_, zoom_ni_, zoom_ni_loc_, zoom_nj_, zoom_nj_loc_ )
+    , i_index_, ibegin_, j_index_, jbegin_, latvalue_, long_name_, lonvalue_, mask_, name_, ni_  &
+    , ni_glo_, nj_, nj_glo_, nvertex_, standard_name_, type_ )
 
     IMPLICIT NONE
@@ -926,12 +731,8 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: ibegin_
       LOGICAL(KIND=C_BOOL) :: ibegin__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: iend_
-      LOGICAL(KIND=C_BOOL) :: iend__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: j_index_
       LOGICAL(KIND=C_BOOL) :: j_index__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: jbegin_
       LOGICAL(KIND=C_BOOL) :: jbegin__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: jend_
-      LOGICAL(KIND=C_BOOL) :: jend__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: latvalue_
       LOGICAL(KIND=C_BOOL) :: latvalue__tmp
@@ -958,20 +759,4 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: type_
       LOGICAL(KIND=C_BOOL) :: type__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_ibegin_
-      LOGICAL(KIND=C_BOOL) :: zoom_ibegin__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_ibegin_loc_
-      LOGICAL(KIND=C_BOOL) :: zoom_ibegin_loc__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_jbegin_
-      LOGICAL(KIND=C_BOOL) :: zoom_jbegin__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_jbegin_loc_
-      LOGICAL(KIND=C_BOOL) :: zoom_jbegin_loc__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_ni_
-      LOGICAL(KIND=C_BOOL) :: zoom_ni__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_ni_loc_
-      LOGICAL(KIND=C_BOOL) :: zoom_ni_loc__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_nj_
-      LOGICAL(KIND=C_BOOL) :: zoom_nj__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_nj_loc_
-      LOGICAL(KIND=C_BOOL) :: zoom_nj_loc__tmp
 
       IF (PRESENT(area_)) THEN
@@ -1055,9 +840,4 @@
       ENDIF
 
-      IF (PRESENT(iend_)) THEN
-        iend__tmp = cxios_is_defined_domaingroup_iend(domaingroup_hdl%daddr)
-        iend_ = iend__tmp
-      ENDIF
-
       IF (PRESENT(j_index_)) THEN
         j_index__tmp = cxios_is_defined_domaingroup_j_index(domaingroup_hdl%daddr)
@@ -1070,9 +850,4 @@
       ENDIF
 
-      IF (PRESENT(jend_)) THEN
-        jend__tmp = cxios_is_defined_domaingroup_jend(domaingroup_hdl%daddr)
-        jend_ = jend__tmp
-      ENDIF
-
       IF (PRESENT(latvalue_)) THEN
         latvalue__tmp = cxios_is_defined_domaingroup_latvalue(domaingroup_hdl%daddr)
@@ -1135,44 +910,4 @@
       ENDIF
 
-      IF (PRESENT(zoom_ibegin_)) THEN
-        zoom_ibegin__tmp = cxios_is_defined_domaingroup_zoom_ibegin(domaingroup_hdl%daddr)
-        zoom_ibegin_ = zoom_ibegin__tmp
-      ENDIF
-
-      IF (PRESENT(zoom_ibegin_loc_)) THEN
-        zoom_ibegin_loc__tmp = cxios_is_defined_domaingroup_zoom_ibegin_loc(domaingroup_hdl%daddr)
-        zoom_ibegin_loc_ = zoom_ibegin_loc__tmp
-      ENDIF
-
-      IF (PRESENT(zoom_jbegin_)) THEN
-        zoom_jbegin__tmp = cxios_is_defined_domaingroup_zoom_jbegin(domaingroup_hdl%daddr)
-        zoom_jbegin_ = zoom_jbegin__tmp
-      ENDIF
-
-      IF (PRESENT(zoom_jbegin_loc_)) THEN
-        zoom_jbegin_loc__tmp = cxios_is_defined_domaingroup_zoom_jbegin_loc(domaingroup_hdl%daddr)
-        zoom_jbegin_loc_ = zoom_jbegin_loc__tmp
-      ENDIF
-
-      IF (PRESENT(zoom_ni_)) THEN
-        zoom_ni__tmp = cxios_is_defined_domaingroup_zoom_ni(domaingroup_hdl%daddr)
-        zoom_ni_ = zoom_ni__tmp
-      ENDIF
-
-      IF (PRESENT(zoom_ni_loc_)) THEN
-        zoom_ni_loc__tmp = cxios_is_defined_domaingroup_zoom_ni_loc(domaingroup_hdl%daddr)
-        zoom_ni_loc_ = zoom_ni_loc__tmp
-      ENDIF
-
-      IF (PRESENT(zoom_nj_)) THEN
-        zoom_nj__tmp = cxios_is_defined_domaingroup_zoom_nj(domaingroup_hdl%daddr)
-        zoom_nj_ = zoom_nj__tmp
-      ENDIF
-
-      IF (PRESENT(zoom_nj_loc_)) THEN
-        zoom_nj_loc__tmp = cxios_is_defined_domaingroup_zoom_nj_loc(domaingroup_hdl%daddr)
-        zoom_nj_loc_ = zoom_nj_loc__tmp
-      ENDIF
-
   END SUBROUTINE xios(is_defined_domaingroup_attr_hdl_)
 
Index: XIOS/trunk/src/node/axis.cpp
===================================================================
--- XIOS/trunk/src/node/axis.cpp	(revision 656)
+++ XIOS/trunk/src/node/axis.cpp	(revision 657)
@@ -300,8 +300,8 @@
 
     CServerDistributionDescription serverDescription(nGlobDomain);
-    serverDescription.computeServerGlobalIndexInRange(nbServer, std::make_pair<size_t,size_t>(indexBegin, indexEnd));
-    CClientServerMappingDistributed clientServerMap(serverDescription.getGlobalIndexRange(), client->intraComm);
-    clientServerMap.computeServerIndexMapping(globalIndexAxis);
-    const std::map<int, std::vector<size_t> >& globalIndexAxisOnServer = clientServerMap.getGlobalIndexOnServer();
+    serverDescription.computeServerGlobalIndexInRange(nbServer, std::make_pair<size_t,size_t>(indexBegin, indexEnd), 0);
+    CClientServerMapping* clientServerMap = new CClientServerMappingDistributed(serverDescription.getGlobalIndexRange(), client->intraComm);
+    clientServerMap->computeServerIndexMapping(globalIndexAxis);
+    const std::map<int, std::vector<size_t> >& globalIndexAxisOnServer = clientServerMap->getGlobalIndexOnServer();
 
     std::map<int, std::vector<size_t> >::const_iterator it = globalIndexAxisOnServer.begin(),
@@ -336,6 +336,6 @@
         connectedServerRank_.push_back(it->first);
     }
-    nbConnectedClients_ = clientServerMap.computeConnectedClients(client->serverSize, client->clientSize, client->intraComm, connectedServerRank_);
-
+    nbConnectedClients_ = clientServerMap->computeConnectedClients(client->serverSize, client->clientSize, client->intraComm, connectedServerRank_);
+    delete clientServerMap;
   }
 
